curl --request GET \ --url 'https://notificatorsms.com/api/notification_handlers/' \ --header 'Authorization: Bearer VOTRE_API_KEY'
<?php $ch = curl_init('https://notificatorsms.com/api/notification_handlers/'); curl_setopt_array($ch, [ CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => ['Authorization: Bearer VOTRE_API_KEY'], ]); $result = json_decode(curl_exec($ch), true); curl_close($ch); print_r($result);
const res = await fetch('https://notificatorsms.com/api/notification_handlers/', { headers: { 'Authorization': 'Bearer VOTRE_API_KEY' }, }); const data = await res.json(); console.log(data);
import requests headers = {'Authorization': 'Bearer VOTRE_API_KEY'} r = requests.get('https://notificatorsms.com/api/notification_handlers/', headers=headers) print(r.json())
| Parameters | Dettagli | Descrizione |
|---|---|---|
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
| search | Optional String | The search string. |
| search_by | Optional String | What field are you searching by. Allowed values are: name. |
| type | Optional String | What field are you searching by. Allowed values are: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification. |
| datetime_field | Optional String | Allowed values: datetime, last_datetime |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | What field to order the results by. Allowed values are: notification_handler_id, datetime, last_datetime, name. |
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-17 16:55:50",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://notificatorsms.com/api/notification-handlers?page=1",
"last": "https://notificatorsms.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://notificatorsms.com/api/notification-handlers?page=1"
}
}
curl --request GET \ --url 'https://notificatorsms.com/api/notification_handlers/{notification_handler_id}' \ --header 'Authorization: Bearer VOTRE_API_KEY'
<?php $ch = curl_init('https://notificatorsms.com/api/notification_handlers/{notification_handler_id}'); curl_setopt_array($ch, [ CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => ['Authorization: Bearer VOTRE_API_KEY'], ]); $result = json_decode(curl_exec($ch), true); curl_close($ch); print_r($result);
const res = await fetch('https://notificatorsms.com/api/notification_handlers/{notification_handler_id}', { headers: { 'Authorization': 'Bearer VOTRE_API_KEY' }, }); const data = await res.json(); console.log(data);
import requests headers = {'Authorization': 'Bearer VOTRE_API_KEY'} r = requests.get('https://notificatorsms.com/api/notification_handlers/{notification_handler_id}', headers=headers) print(r.json())
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-17 16:55:50",
}
}
| Parameters | Dettagli | Descrizione |
|---|---|---|
| name | Required String | - |
| type | Required String | Allowed values: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification |
| Optional String | Available when: type = email Email | |
| webhook | Optional String | Available when: type = webhook Webhook URL |
| slack | Optional String | Available when: type = slack Slack webhook URL |
| discord | Optional String | Available when: type = discord Discord webhook URL |
| telegram | Optional String | Available when: type = telegram Telegram API Token |
| telegram_chat_id | Optional String | Available when: type = telegram Telegram Chat ID |
| microsoft_teams | Optional String | Available when: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | Optional String | Available when: type = google_chat Google Chat webhook URL |
| x_consumer_key | Optional String | Available when: type = x Telegram API Token |
| x_consumer_secret | Optional String | Available when: type = x Telegram API Token |
| x_access_token | Optional String | Available when: type = x Telegram API Token |
| x_access_token_secret | Optional String | Available when: type = x Telegram API Token |
curl --request POST \ --url 'https://notificatorsms.com/api/notification_handlers' \ --header 'Authorization: Bearer VOTRE_API_KEY' \ --header 'Content-Type: multipart/form-data' \ --form 'name=Mon Handler' \ --form 'type=sms'
<?php $ch = curl_init('https://notificatorsms.com/api/notification_handlers'); curl_setopt_array($ch, [ CURLOPT_POST => true, CURLOPT_POSTFIELDS => [ 'name' => 'Mon Handler', 'type' => 'sms', ], CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => ['Authorization: Bearer VOTRE_API_KEY'], ]); $result = json_decode(curl_exec($ch), true); curl_close($ch); print_r($result);
const form = new FormData(); form.append('name', 'Mon Handler'); form.append('type', 'sms'); const res = await fetch('https://notificatorsms.com/api/notification_handlers', { method: 'POST', headers: { 'Authorization': 'Bearer VOTRE_API_KEY' }, body: form, }); const data = await res.json(); console.log(data);
import requests headers = {'Authorization': 'Bearer VOTRE_API_KEY'} payload = { 'name': 'Mon Handler', 'type': 'sms', } r = requests.post('https://notificatorsms.com/api/notification_handlers', data=payload, headers=headers) print(r.json())
{
"data": {
"id": 1
}
}
| Parameters | Dettagli | Descrizione |
|---|---|---|
| name | Optional String | - |
| type | Optional String | Allowed values: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification |
| Optional String | Available when: type = email Email | |
| webhook | Optional String | Available when: type = webhook Webhook URL |
| slack | Optional String | Available when: type = slack Slack webhook URL |
| discord | Optional String | Available when: type = discord Discord webhook URL |
| telegram | Optional String | Available when: type = telegram Telegram API Token |
| telegram_chat_id | Optional String | Available when: type = telegram Telegram Chat ID |
| microsoft_teams | Optional String | Available when: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | Optional String | Available when: type = google_chat Google Chat webhook URL |
| x_consumer_key | Optional String | Available when: type = x Telegram API Token |
| x_consumer_secret | Optional String | Available when: type = x Telegram API Token |
| x_access_token | Optional String | Available when: type = x Telegram API Token |
| x_access_token_secret | Optional String | Available when: type = x Telegram API Token |
| is_enabled | Optional Boolean | - |
curl --request POST \ --url 'https://notificatorsms.com/api/notification_handlers/{notification_handler_id}' \ --header 'Authorization: Bearer VOTRE_API_KEY' \ --header 'Content-Type: multipart/form-data' \ --form 'name=Mon Handler'
<?php $ch = curl_init('https://notificatorsms.com/api/notification_handlers/{notification_handler_id}'); curl_setopt_array($ch, [ CURLOPT_POST => true, CURLOPT_POSTFIELDS => [ 'name' => 'Mon Handler', ], CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => ['Authorization: Bearer VOTRE_API_KEY'], ]); $result = json_decode(curl_exec($ch), true); curl_close($ch); print_r($result);
const form = new FormData(); form.append('name', 'Mon Handler'); const res = await fetch('https://notificatorsms.com/api/notification_handlers/{notification_handler_id}', { method: 'POST', headers: { 'Authorization': 'Bearer VOTRE_API_KEY' }, body: form, }); const data = await res.json(); console.log(data);
import requests headers = {'Authorization': 'Bearer VOTRE_API_KEY'} payload = { 'name': 'Mon Handler', } r = requests.post('https://notificatorsms.com/api/notification_handlers/{notification_handler_id}', data=payload, headers=headers) print(r.json())
{
"data": {
"id": 1
}
}
curl --request DELETE \ --url 'https://notificatorsms.com/api/notification_handlers/{notification_handler_id}' \ --header 'Authorization: Bearer VOTRE_API_KEY'
<?php $ch = curl_init('https://notificatorsms.com/api/notification_handlers/{notification_handler_id}'); curl_setopt_array($ch, [ CURLOPT_CUSTOMREQUEST => 'DELETE', CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => ['Authorization: Bearer VOTRE_API_KEY'], ]); $result = json_decode(curl_exec($ch), true); curl_close($ch); print_r($result);
const res = await fetch('https://notificatorsms.com/api/notification_handlers/{notification_handler_id}', { method: 'DELETE', headers: { 'Authorization': 'Bearer VOTRE_API_KEY' }, }); const data = await res.json(); console.log(data);
import requests headers = {'Authorization': 'Bearer VOTRE_API_KEY'} r = requests.delete('https://notificatorsms.com/api/notification_handlers/{notification_handler_id}', headers=headers) print(r.json())